Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039644
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2018-11-16 12:552018-12-21 13:21
ReporterJONHMView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision9bb00b5b71ad
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039644: Add product p&e is not sorting the selected records when clearing filters

DescriptionAdd product p&e is not sorting the selected records when clearing filters. This can confuse the user if the p&e has lots of rows.
Steps To Reproduce- Open Product Characteristic window and create a new record. Then create a new [Line] for that product characteristic.
- Run 'Add product' p&e and filter by some row (ES/0004) and then select it.
- Clear filters (funnel icon)

The selected record is not placed on the top of the p&e
TagsNo tags attached.
Attached Filespng file icon Screenshot from 2018-11-16 12-52-18.png [^] (144,605 bytes) 2018-11-16 12:55

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0033622 closedcaristu Wrong behavior in Select Payment Pick/Execute Window when having >100 records selected 
depends on defect 0039819 closedplatform API changes in DataSourceUtils.getSelectedRecordsFromCriteria 
related to defect 0040381 closedalostale incorrect warn message logged by ReadOnlyDataSourceService for P&E  

-  Notes
(0108638)
hgbot (developer)
2018-12-17 13:46

Repository: erp/devel/pi
Changeset: 9bb00b5b71ad1b6f6e0951212f001a6a98a144a1
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Dec 14 15:22:51 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9bb00b5b71ad1b6f6e0951212f001a6a98a144a1 [^]

fixed bug 39644: P&E doesn't set selected records on top

  In P&E selected records in UI were not set on top of non selected ones.

  Now they are sorted in backend, also we ensure that the whole selection is
  returned in the page even if it didn't originally fit on it.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceUtils.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0108656)
hudsonbot (developer)
2018-12-17 20:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/79c941a6a880 [^]
Maturity status: Test
(0108692)
hgbot (developer)
2018-12-20 17:16

Repository: erp/devel/pi
Changeset: 053a02c45e1f6a3cd3f6d74710ce8796e90eb47a
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu Dec 20 17:14:44 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/053a02c45e1f6a3cd3f6d74710ce8796e90eb47a [^]

related to bug 39644: Minor code improvements

  - Update copyright year
  - Remove unused parameter

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceUtils.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0108709)
hudsonbot (developer)
2018-12-20 21:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/32784e66f6df [^]
Maturity status: Test
(0108715)
hgbot (developer)
2018-12-21 09:02

Repository: erp/devel/pi
Changeset: 6f808eb12d3dbf5e6c2bd7b4b2a5bae5bd4493e4
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Dec 21 09:01:36 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6f808eb12d3dbf5e6c2bd7b4b2a5bae5bd4493e4 [^]

related to bug 39644: code cleanup

  Removed redundant criteria parameter as it can be obtained from queryService.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0108716)
caristu (developer)
2018-12-21 09:41

Code reviewed + tested OK.
(0108720)
hudsonbot (developer)
2018-12-21 13:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c99770195951 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-16 12:55 JONHM New Issue
2018-11-16 12:55 JONHM Assigned To => platform
2018-11-16 12:55 JONHM File Added: Screenshot from 2018-11-16 12-52-18.png
2018-11-16 12:55 JONHM Modules => Core
2018-11-16 12:55 JONHM Triggers an Emergency Pack => No
2018-11-16 13:00 Practics Issue Monitored: Practics
2018-12-03 16:35 alostale Relationship added related to 0033622
2018-12-04 12:25 alostale Status new => scheduled
2018-12-04 12:25 alostale Assigned To platform => alostale
2018-12-17 13:43 alostale Relationship added depends on 0039819
2018-12-17 13:44 alostale Review Assigned To => caristu
2018-12-17 13:46 hgbot Checkin
2018-12-17 13:46 hgbot Note Added: 0108638
2018-12-17 13:46 hgbot Status scheduled => resolved
2018-12-17 13:46 hgbot Resolution open => fixed
2018-12-17 13:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9bb00b5b71ad1b6f6e0951212f001a6a98a144a1 [^]
2018-12-17 20:39 hudsonbot Checkin
2018-12-17 20:39 hudsonbot Note Added: 0108656
2018-12-20 17:16 hgbot Checkin
2018-12-20 17:16 hgbot Note Added: 0108692
2018-12-20 21:30 hudsonbot Checkin
2018-12-20 21:30 hudsonbot Note Added: 0108709
2018-12-21 09:02 hgbot Checkin
2018-12-21 09:02 hgbot Note Added: 0108715
2018-12-21 09:41 caristu Note Added: 0108716
2018-12-21 09:41 caristu Status resolved => closed
2018-12-21 09:41 caristu Fixed in Version => 3.0PR19Q1
2018-12-21 13:21 hudsonbot Checkin
2018-12-21 13:21 hudsonbot Note Added: 0108720
2019-03-22 10:05 alostale Relationship added related to 0040381


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker